POST https://external-api.lia.com.br/external_api/v1/offers/:offer_id/order_bumps
Creates an order bump and attaches it to the specified offer. Payment configurations for each bump offer are automatically derived from the parent offer — you do not need to pass them.
An offer can only have one order bump. If an order bump already exists, use the update endpoint instead.
Body params
| Name | Description | Required | Type |
|---|---|---|---|
| name | Display name for the order bump | true | String |
| offers | Array of upsell offer objects to include in the order bump | false | Array |
Offer object
| Name | Description | Required | Type |
|---|---|---|---|
| product_id | UUID of the product to offer as upsell | true | String |
| amount_cents | Upsell price in cents | true | Integer |
Requests return 400 unprocessable_action if:
- Any product_id belongs to a coproduced product — error reason: coproduction_product
- More than 5 offer objects are included — error reason: max_offers_exceeded
Example request
curl --location --request POST 'https://external-api-sandbox.lia.com.br/external_api/v1/offers/bdeebdb0-851e-5983-a63e-7b2668f12f50/order_bumps' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_API_TOKEN' \
--data-raw '{
"name": "Combo",
"offers": [
{
"product_id": "d41d3b70-7ecc-5b50-89de-6658595cc1ae",
"amount_cents": 5000
}
]
}'
Example response
{
"created_at": "2024-05-13T18:05:35.625-03:00",
"id": "54337ef6-b3a1-5535-b917-0e0bc319b1c1",
"name": "Combo",
"offers": [
{
"amount_cents": 5000,
"amount_currency": "BRL",
"availability": "archived",
"checkout_type": "default",
"created_at": "2024-05-13T18:05:36.100-03:00",
"id": "1bf3fbd4-4a33-56e2-8e4e-49fc6db4f148",
"name": "",
"product": {
"access_period": "lifetime",
"availability": "enabled",
"banner_url": null,
"created_at": "2023-11-29T10:32:42.753-03:00",
"description": "Produto da alegria.",
"duration_in_days": null,
"duration_in_hours": 12,
"end_date": null,
"full_amount_cents": 100000,
"full_amount_currency": "BRL",
"google_pixel_code": null,
"id": "d41d3b70-7ecc-5b50-89de-6658595cc1ae",
"meta_pixel_code": null,
"metadata": {},
"name": "Produto Exemplo",
"start_date": null,
"updated_at": "2023-11-29T10:32:42.753-03:00"
},
"smart_payment_enabled": false,
"updated_at": "2024-05-13T18:05:36.100-03:00",
"url": "https://pague-sandbox.lia.com.br/lia/oferta?offer_id=1bf3fbd4-4a33-56e2-8e4e-49fc6db4f148"
}
],
"updated_at": "2024-05-13T18:05:35.625-03:00"
}